/*
 * LFNCall V 1.6
 *
 * Hilfsprogramm zum Umkopieren der Langnamendateien
 * zum Bearbeiten und zum Zurckkopieren
 * (c) 1997-2000 Thomas Bohn, Vogelwiese 65, D-18435 Stralsund, Germany
 *
 */

call RxFuncAdd 'SysFileTree', 'RexxUtil', 'SysFileTree'

'@Echo off'
'cls'
say''
say'     Ŀ'
say'                                  LFNCall V 1.6                         '
say'                           (c) Thomas Bohn 1997-2000                    '
say'                           Langnamen-Kopierprogramm                     '
say'     '
say''

parse arg Command Par
if Par=="" then exit
nLPos=lastpos(' ',Par)
if substr(Par,1,1) <> '"' then OrgFile='"'left(Par,nLPos-1)'"'
else OrgFile=left(Par,nLPos-1)
nOPos1=pos('\',OrgFile)
RootFile=substr(Par,nLPos+3)
nEPos=lastpos('.',RootFile)-1
EAreadfile=substr(OrgFile,2,length(OrgFile)-2)
EAfile=substr(EAreadfile,1,2)||substr(Rootfile,1,nEPos)'.EAI'
BackFile=substr(Par,nLPos+1)
OrgDirFile='"'substr(OrgFile,nOPos1)
EAputfile=substr(OrgFile,2,length(OrgFile)-2)

SELECT
 WHEN Command=='/K' then do
   say "Verschiebe Langnamen-Datei zum Bearbeiten in die Wurzel des LW..."
   say "Moving file with long name for editing to the root..." 
   rc = SysGetEA(EAreadfile, ".LONGNAME", "langname")
   if rc = 0 then do
     call SysIni EAfile, 'LFNCALL', '.LONGNAME', langname
   end
   Move OrgFile RootFile
 end
 WHEN Command=='/L' then do
   say "Verschiebe Datei zurck an Original-Platz..."
   say "Moving file to original position..."
   call SysFileTree EAfile, 'ea', 'F'
   Move BackFile OrgDirFile
   if ea.0 > 0 then do
     langname = SysIni(EAfile, 'LFNCALL', '.LONGNAME')
     call SysPutEA EAputfile, ".LONGNAME", langname
     call SysFileDelete EAfile
   end
 END
end
exit
